Bug 1081782

Summary: Review Request: astloch-fonts - Astloch fonts
Product: [Fedora] Fedora Reporter: Julien Enselme <jujens>
Component: Package ReviewAssignee: Luis Bazan <bazanluis20>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bazanluis20, fonts-bugs, i18n-bugs, package-review, panemade, paul
Target Milestone: ---Flags: bazanluis20: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: astloch-fonts-1.00-2.41528389c445hg.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-19 10:04:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1070946    

Description Julien Enselme 2014-03-28 00:13:23 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/astloch-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/astloch-fonts-1.00-1.41528389c445hg.fc20.src.rpm
Description:
Astloch is a set of mono linear display faces — one delicate, one sturdy based on the mix of sharp angles and florid curves found in fracture lettering.

Fedora Account System Username: jujens

Normally, two rmps packages should be built: astloch-regular-fonts.rpm and astloch-bold-fonts.rpm. For a reason I cannot figure, only the astloch-regular-fonts.rpm is built.

Comment 1 Julien Enselme 2014-04-01 11:20:33 UTC
I think my problem was that I did not understand the font policy correctly. Here is the new spec: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/astloch-fonts.spec and the new SRPMS: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/astloch-fonts-1.00-1.41528389c445hg.fc20.src.rpm. I also wrote the .conf file: http://jenselme.perso.centrale-marseille.fr/visible/SOURCES/astloch-fonts.conf.

They both seem correct to me this time.

Comment 2 Luis Bazan 2014-04-02 20:34:12 UTC
Rpmlint
-------
Checking: astloch-fonts-1.00-1.41528389c445hg.fc20.src.rpm
astloch-fonts.src: W: unexpanded-macro %description -l C %_font_pkg
astloch-fonts.src: W: unexpanded-macro %description -l C %doc
astloch-fonts.src: W: spelling-error %description -l en_US conf -> con, cone, cons
astloch-fonts.src: W: spelling-error %description -l en_US ttf -> Flatt
astloch-fonts.src: W: spelling-error %description -l en_US txt -> text, ext, tit
astloch-fonts.src: W: invalid-url Source0: astloch-fonts-41528389c445hg.tar.xz
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Now I am doing a manual review.

Regards!

Comment 4 Julien Enselme 2014-04-25 11:50:26 UTC
Thanks for the links. I updated the spec file so it matches one of the template. It is much easier to read now. I got rid off the rpmlint errors in the process. I also asked a question on the fonts mailing list about font config.

- SPECS: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/astloch-fonts.spec
- SRPMS: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/astloch-fonts-1.00-1.41528389c445hg.fc20.src.rpm

Comment 5 Julien Enselme 2014-04-28 09:31:05 UTC
I modified the fontconfig file according to the template posted on the fonts mailing list.

The links are the same. The package looks fine for me.

Comment 6 Paul Flo Williams 2014-04-28 13:11:36 UTC
Just a few points:

1. The FontForge sources for these fonts are available from the Google font directory so, according to our packaging policy, these fonts SHOULD be built from source.

2. The word "fracture" in the description should be "Fraktur".

3. Our fonts policy now says that fonts must include correct licensing fields in the metadata. In this case, you'll need to correct the metadata after building, using the ttname tool.

4. The fontconfig file isn't correct. You need to register both fonts with the generic name "cursive" using the basic-font-template.conf supplied with fontpackages-devel.

Comment 7 Paul Flo Williams 2014-04-28 13:14:54 UTC
(In reply to Paul Flo Williams from comment #6)
>
> 3. Our fonts policy now says that fonts must include correct licensing
> fields in the metadata. In this case, you'll need to correct the metadata
> after building, using the ttname tool.

Of course, if you build from source, you have the option of patching the SFD files before building, but UTF-7 dragons lurk there, so I'd still recommend you use ttname.

Comment 8 Julien Enselme 2014-05-04 19:18:03 UTC
(In reply to Paul Flo Williams from comment #6)
> Just a few points:
> 
> 1. The FontForge sources for these fonts are available from the Google font
> directory so, according to our packaging policy, these fonts SHOULD be built
> from source.
> 
OK, I am building them from source now. Thanks for pointing that out.
> 2. The word "fracture" in the description should be "Fraktur".
> 
Corrected.
> 3. Our fonts policy now says that fonts must include correct licensing
> fields in the metadata. In this case, you'll need to correct the metadata
> after building, using the ttname tool.
> 
Corrected. However, ttname always exits with status 1 even if the ttf files are correctly patched. I have the same issue if I just use ttname to display informations on the fonts. Hence the ugly `|| exit 0` at the end of the ttname line. Any idea on that?
> 4. The fontconfig file isn't correct. You need to register both fonts with
> the generic name "cursive" using the basic-font-template.conf supplied with
> fontpackages-devel.
Corrected. Thank for your answer.

SPECS: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/astloch-fonts.spec
SRPMS: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/astloch-fonts-1.00-2.41528389c445hg.fc20.src.rpm

Comment 9 Julien Enselme 2014-06-15 16:20:19 UTC
Can I have new feedback on this please? I would like to end this package before continuing packaging the other fonts in order to avoid making the same mistakes twice.

Thanks.

Comment 10 Luis Bazan 2014-08-29 21:59:20 UTC
The changes were made as they were requested in all comments.

Approved!

Comment 11 Julien Enselme 2014-09-02 21:25:22 UTC
New Package SCM Request
=======================
Package Name: astloch-fonts
Short Description: Astloch fonts
Upstream URL: http://code.google.com/p/googlefontdirectory/source/browse/ofl/astloch
Owners: jujens
Branches: f20 f21

Comment 12 Gwyn Ciesla 2014-09-03 10:47:05 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-09-03 17:18:05 UTC
astloch-fonts-1.00-2.41528389c445hg.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/astloch-fonts-1.00-2.41528389c445hg.fc21

Comment 14 Fedora Update System 2014-09-03 17:18:12 UTC
astloch-fonts-1.00-2.41528389c445hg.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/astloch-fonts-1.00-2.41528389c445hg.fc20

Comment 15 Fedora Update System 2014-09-06 00:58:46 UTC
astloch-fonts-1.00-2.41528389c445hg.fc21 has been pushed to the Fedora 21 testing repository.

Comment 16 Fedora Update System 2014-09-19 10:04:02 UTC
astloch-fonts-1.00-2.41528389c445hg.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2014-09-23 05:01:30 UTC
astloch-fonts-1.00-2.41528389c445hg.fc21 has been pushed to the Fedora 21 stable repository.